Buildings v1 · Buildings
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Required response fields must be present when their containing object is returned. Supply the documented request parameters when calling the endpoint.
Multiple building attributes
Authentication: Use your Consumer Key in the
Authorizationheader.
Implementation Notes
This operation returns a list of known building attributes for a given specific building denoted by the buildingId. The optional parameter include accepts a comma-separated list of resources to add such resource information to the response.
coverageTypedescribes the level of attribution available for that building andrelatedAddressIdslists the addresses at this building.
Intended use
This resource is a menu of what we know about a specific building. If you already know you want certain information returned, use the include parameter to reduce your call count and get to the data you need.
Include Parameter
To reduce the chattiness of the API, we've implemented a parameter that allows you to pull back multiple attributes from a resource without the need to make multiple requests. to use the include parameter, specify a comma-separated list of the attributes you want in the response. example: include=centroid,solarPanel,area
if you request multiple attributes using the
includeparameter, but we can't return all of them, we will return a message object in the JSON response advising what we didn't return and why.
path Parameters
buildingIdquery Parameters
includeDefines a list of building attributes entered as a comma-seperated list. Defined attributues will be returned in the response if possible. New all parameter can be used to return all possible attributes more easily.
Multiple building attributes › Responses
OK - Successful Response
buildingIdcoverageTyperelatedAddressIdsareaaverageEaveHeightelevationestimatedLevelsThe estimated number of levels for the building. New logic as of March 2022 has improved accuracy.
maximumRoofHeightProvides an attribute that describes whether an identified tree overhangs the building geometry.
- The value
truemeans a tree overhangs the building. - The value
falsemeans no tree overhanging the building. - An absent response means we have not determined if a tree overhangs the building.
overhangingTreeMaxHeight has been deprecated
roofMaterialThe roofMaterial attribute is the name of the primary roof material found across the building surface.
Roof material is classified from image pixels that intersect the building. The image signature of the intersecting pixels is matched to a spectral library of known material compositions to determine the best matching material for each pixel.
- Flat Concrete
- Fiberglass/Plastic
- Metal
- Tile
This object will not be returned if we cannot decide on the roof material.
solarPanelswimmingPoolzoningsroofShapeThe roofShape attribute describes the shape of the building's roof in line with CityGML values.
Where a building is made of multiple discrete polygons, the largest area polygon will be used to classify the roof shape.
- Flat
- Hipped
- Gabled
- Shed
- Mansard
- Mixed
- Other
This object will not return if we have not assessed the roof shape for that building.
roofComplexity